Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class EntryParser

    java.lang.Object
      ru.biosoft.access.support.EntryParser

public class EntryParser
extends java.lang.Object

Parse the field value from database `Entry`.

Field Summary
`static java.lang.String` | `emptyString`

Constructor Summary
`EntryParser()`

Method Summary
`static java.lang.String` | `parseStringValue(Entry entry, java.lang.String fieldTag)`
`static java.lang.String` | `parseStringValue(Entry entry, java.lang.String fieldTag, java.lang.String lineSeparator)`
`static java.lang.String` | `parseStringValue(Entry entry, java.lang.String fieldTag, java.lang.String lineSeparator, boolean trim)` Parse the string field value from database `Entry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emptyString

    public static java.lang.String emptyString

Constructor Detail

### EntryParser

    public EntryParser()

Method Detail

### parseStringValue

    public static java.lang.String parseStringValue(Entry entry,
                                                    java.lang.String fieldTag)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseStringValue

    public static java.lang.String parseStringValue(Entry entry,
                                                    java.lang.String fieldTag,
                                                    java.lang.String lineSeparator)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseStringValue

    public static java.lang.String parseStringValue(Entry entry,
                                                    java.lang.String fieldTag,
                                                    java.lang.String lineSeparator,
                                                    boolean trim)
                                             throws java.lang.Exception

  Parse the string field value from database `Entry`.

  Parameters:
    `entry` - database `Entry` to be parsed.
    `fieldTag` - field tag
    `lineSeparator` - line separator to be inserted between original entry lines.
    `trim` - indicates whether field prefix and spaces sould be truncated.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.